<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################

// Авторизация по сессии
if (isset ($_SESSION['id']) && isset ($_SESSION['ps'])) {
$us = $_SESSION['id'];
$pass = $_SESSION['ps'];
}


// Авторизация по COOKIE
elseif (isset ($_COOKIE['id']) && isset ($_COOKIE['ps'])) {
$us = $_COOKIE['id'];
$_SESSION['id'] = $us;
$pass = $_COOKIE['ps'];
$_SESSION['ps'] = $pass;
}

// Запрос в базе данных по юзеру
if ($us && $pass) {
$req = $db->sql_query("SELECT * FROM `users` WHERE `id` = '".check(intval($us))."' LIMIT 1");
if ($db->sql_numrows($req)) {
$user = $db->sql_fetchrow($req);
if (md5($pass) === $user['pass']) {


}
else {
// Если пароль не совпадает, уничтожаем переменные сессии и чистим куки
unset ($_SESSION['id']);
unset ($_SESSION['ps']);
setcookie('id', '');
setcookie('ps', '');
$user = false;
}

}
else {
// Если юзер не найден, уничтожаем переменные сессии и чистим куки
unset ($_SESSION['id']);
unset ($_SESSION['ps']);
setcookie('id', '');
setcookie('ps', '');
$user = false;
}
}

?>